<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>

<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<meta name="viewport" content="width=device-width, minimum-scale=1.0, maximum-scale=1.0" />
<title><?php bloginfo('name'); ?> <?php if ( is_home() ) { ?> - <?php bloginfo('description'); } ?> <?php wp_title(); ?> </title>
<link rel="shortcut icon" href="favicon.ico" type="image/x-icon" />
<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="alternate" type="text/xml" title="RSS .92" href="<?php bloginfo('rss_url'); ?>" />
<link rel="alternate" type="application/atom+xml" title="Atom 0.3" href="<?php bloginfo('atom_url'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.4.3/jquery.min.js"></script>


<?php $options = get_option( 'og_theme_options' ); // Theme-Optionen ?> 

<!--Google Web Fonts-->

<?php if ( $options['font_standard'] == 0 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Open+Sans:400,700' rel='stylesheet' type='text/css'>
<?php } elseif ( $options['font_standard'] == 1 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Droid+Sans:400,700' rel='stylesheet' type='text/css'>
<?php } elseif ( $options['font_standard'] == 2 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=PT+Sans:400,700' rel='stylesheet' type='text/css'>
<?php } elseif ( $options['font_standard'] == 3 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Source+Sans+Pro:400,700' rel='stylesheet' type='text/css'>
<?php } elseif ( $options['font_standard'] == 4 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Ubuntu:400,700' rel='stylesheet' type='text/css'>
<?php } ?>

<?php if ( $options['font_h'] == 0 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Open+Sans+Condensed:700' rel='stylesheet' type='text/css'>
<?php } elseif ( $options['font_h'] == 1 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Open+Sans:400,700' rel='stylesheet' type='text/css'>
<?php } elseif ( $options['font_h'] == 2 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Oswald' rel='stylesheet' type='text/css'>
<?php } elseif ( $options['font_h'] == 3 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Archivo+Narrow:700' rel='stylesheet' type='text/css'>
<?php } elseif ( $options['font_h'] == 4 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Bree+Serif' rel='stylesheet' type='text/css'>
<?php } ?>

<style type="text/css">
<?php if ( $options['font_standard'] == 0 ) { ?>
	body, input, select, textarea { font-family: 'Open Sans', sans-serif; }
<?php } elseif ( $options['font_standard'] == 1 ) { ?>
	body, input, select, textarea { font-family: 'Droid Sans', sans-serif; }
<?php } elseif ( $options['font_standard'] == 2 ) { ?>
	body, input, select, textarea { font-family: 'PT Sans', sans-serif; }
<?php } elseif ( $options['font_standard'] == 3 ) { ?>
	body, input, select, textarea { font-family: 'Source Sans Pro', sans-serif; }
<?php } elseif ( $options['font_standard'] == 4 ) { ?>
	body, input, select, textarea { font-family: 'Ubuntu', sans-serif; }
<?php } ?>

<?php if ( $options['font_h'] == 0 ) { ?>
	h1, h2, h3, h4, h5, h6, .sticky:before, #comments .commentlist li div.comment-author cite { font-family: 'Open Sans Condensed', sans-serif; }
<?php } elseif ( $options['font_h'] == 1 ) { ?>
	h1, h2, h3, h4, h5, h6, .sticky:before, #comments .commentlist li div.comment-author cite { font-family: 'Open Sans', sans-serif; }
<?php } elseif ( $options['font_h'] == 2 ) { ?>
	h1, h2, h3, h4, h5, h6, .sticky:before, #comments .commentlist li div.comment-author cite { font-family: 'Oswald', sans-serif; font-weight: normal !important; }
<?php } elseif ( $options['font_h'] == 3 ) { ?>
	h1, h2, h3, h4, h5, h6, .sticky:before, #comments .commentlist li div.comment-author cite { font-family: 'Archivo Narrow', sans-serif !important; }
<?php } elseif ( $options['font_h'] == 4 ) { ?>
	h1, h2, h3, h4, h5, h6, .sticky:before, #comments .commentlist li div.comment-author cite { font-family: 'Bree Serif', serif; font-weight: normal !important; }
<?php } ?>
</style>

<!--individuelle Farben-->

<style type="text/css">
<?php if ( $options['standard_color'] == "#" ) { ?>
<?php } elseif (empty($options['standard_color'])) { ?>
<?php } else { ?>

	/* individuelle Standard-Farbe */
	#top, .nav-open, .social li a span, .post a.more-link, .post pre:before, .post.format-link p a:after, .post.format-status .inhalt:after, .post.format-aside .inhalt:after, .post.format-quote .inhalt:after, .sticky .title span, #navigation li ul li a, #navigation li ul li ul li a, #comments .commentlist li .reply a, #comments #respond #cancel-comment-reply-link, #comments .commentlist .bypostauthor .avatar, #comments .commentlist .bypostauthor ul li.bypostauthor .avatar, #comments #respond .form #submit, #footer, #footer .inhalt .rechts a.totop { background: <?php echo $options['standard_color'] ?> !important; }
	h1, .post h2.title a:hover, .sticky:before, #comments .commentlist li div.comment-author cite, .heading .title span, .post.format-link p a { color: <?php echo $options['standard_color'] ?> !important; }
	.post blockquote, .post.format-link p a, .post.format-status .body .inhalt, .post.format-quote .inhalt { border-left-color: <?php echo $options['standard_color'] ?> !important; }
	.social li a span:before { border-bottom-color: <?php echo $options['standard_color'] ?> !important; }
	#comments .commentlist .bypostauthor li .avatar, #comments .commentlist .bypostauthor ul li.bypostauthor ul .avatar { background: #f1f1f1 !important; }

<?php } ?>

<?php if ( $options['alternativ_color'] == "#" ) { ?>
<?php } elseif (empty($options['alternativ_color'])) { ?>
<?php } else { ?>

	/* individuelle Alternativ-Farbe */
	#navigation a.nav-close, #navigation li a:hover, #navigation .current-menu-item > a, #navigation .current-menu-ancestor > a, #navigation .current_page_item > a, #navigation .current_page_ancestor > a, .post a.more-link:hover, #comments .commentlist li .reply a:hover, #comments #respond #cancel-comment-reply-link:hover, #comments .commentlist .bypostauthor:before, #comments #respond .form #submit:hover, #footer .inhalt .rechts a.totop:hover { background:  <?php echo $options['alternativ_color'] ?> !important; }

<?php } ?>

<?php if ( $options['link_color'] == "#" ) { ?>
<?php } elseif (empty($options['link_color'])) { ?>
<?php } else { ?>

	/* individuelle Link-Farbe */
	a { color: <?php echo $options['link_color'] ?> !important; }

<?php } ?>

<?php if ( $options['hover_color'] == "#" ) { ?>
<?php } elseif (empty($options['hover_color'])) { ?>
<?php } else { ?>

	/* individuelle Hover-Farbe */
	a:hover { color: <?php echo $options['hover_color'] ?> !important; }

<?php } ?>

<?php if ($options['inhalt_breite']) { // ändere die Standard-Seitenbreite, wenn Wert eingetragen ?>

	/* individuelle Seitenbreite */
	#seitenbreite, #top .inhalt, #footer .inhalt, #footer-widgets .inhalt { width: <?php echo $options['inhalt_breite'] ?>; }

<?php } ?>

</style>

<?php if(function_exists('is_singular') && function_exists('wp_enqueue_script')) {  // Script für das Kommentar-Formular beim Antworten
	if (is_singular())
		wp_enqueue_script( 'comment-reply' );
	}
?>

<?php wp_head(); ?>

</head>


<!--body-class einfügen für das Farbschema-->

<?php if ($options['farbschema'] == 1) { ?>
	<body <?php body_class('rot'); ?>> 
<?php } elseif ($options['farbschema'] == 2) { ?>
	<body <?php body_class('grau'); ?>> 
<?php } elseif ($options['farbschema'] == 3) { ?>
	<body <?php body_class('blau'); ?>> 
<?php } elseif ($options['farbschema'] == 4) { ?>
	<body <?php body_class('oliv'); ?>> 
<?php } else { ?>
	<body <?php body_class(); ?>> 
<?php } ?>

	<div id="seitenbreite">

			<div id="top">

				<div class="inhalt">

					<div id="navigation">

						<?php wp_nav_menu( array('container' => '') ); // Nav-Menü ?>

						<a class="nav-close" href="#" title="Menü zuklappen">&uarr; Navigation schließen</a>

					</div><!--#navigation-->

					<div class="suche">
	
						<form method="get" id="searchform" action="<?php echo home_url(); ?>/">
						<input type="text" value="Suche" name="s" id="s"     
						onblur="if (this.value == '') 
						{this.value = 'Suche';}"
						onfocus="if (this.value == 'Suche')
						{this.value = '';}" />
						<input type="submit" name="" value="" id="sb" />
						</form>

					</div><!--.suche-->

				</div><!--.inhalt-->

			</div><!--#top-->

				<div class="nav-open">
					<a href="#top" title="Menü aufklappen">Navigation anzeigen &darr;</a>
				</div><!--nav-open-->

		<div id="wrapper">

			<div id="header">

				<?php if ($options['logo'] == 1) { // Logo anzeigen ?>

					<div class="logo">
						<a href="<?php echo home_url(); ?>"><img src="<?php header_image(); ?>" height="<?php echo get_custom_header()->height; ?>" width="<?php echo get_custom_header()->width; ?>" alt="" /></a>
					</div><!--.logo-->

				<?php } ?> 

				<div class="social">

					<ul>

					<?php if ($options['facebook'] == 1) { // Facebook Icon anzeigen ?>
						<li><a href="<?php echo $options['facebook_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/facebook.png">
						<span>
							<?php if ($options['facebook_tooltip']) { // eigener Tooltip-Text ?>
								<?php echo $options['facebook_tooltip'] ?>
							<?php } else { // sonst Standard-Tooltip-Text ?>
								Mein Facebook-Profil
							<?php } ?> 
						</span>
						</a></li>
					<?php } ?> 

					<?php if ($options['twitter'] == 1) { // Twitter Icon anzeigen ?>
						<li><a href="<?php echo $options['twitter_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/twitter.png">
						<span>
							<?php if ($options['twitter_tooltip']) { // eigener Tooltip-Text ?>
								<?php echo $options['twitter_tooltip'] ?>
							<?php } else { // sonst Standard-Tooltip-Text ?>
								Mein Twitter-Profil
							<?php } ?> 
						</span>
						</a></li>
					<?php } ?> 

					<?php if ($options['google'] == 1) { // Google+ Icon anzeigen ?>
						<li><a href="<?php echo $options['google_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/google.png">
						<span>
							<?php if ($options['google_tooltip']) { // eigener Tooltip-Text ?>
								<?php echo $options['google_tooltip'] ?>
							<?php } else { // sonst Standard-Tooltip-Text ?>
								Mein Google+-Profil
							<?php } ?> 
						</span>
						</a></li>
					<?php } ?> 

					<?php if ($options['xing'] == 1) { // Xing Icon anzeigen ?>
						<li><a href="<?php echo $options['xing_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/xing.png">
						<span>
							<?php if ($options['xing_tooltip']) { // eigener Tooltip-Text ?>
								<?php echo $options['xing_tooltip'] ?>
							<?php } else { // sonst Standard-Tooltip-Text ?>
								Mein Xing-Profil
							<?php } ?> 
						</span>
						</a></li>
					<?php } ?> 

					<?php if ($options['tumblr'] == 1) { // Tumblr Icon anzeigen ?>
						<li><a href="<?php echo $options['tumblr_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/tumblr.png">
						<span>
							<?php if ($options['tumblr_tooltip']) { // eigener Tooltip-Text ?>
								<?php echo $options['tumblr_tooltip'] ?>
							<?php } else { // sonst Standard-Tooltip-Text ?>
								Mein Tumblr-Profil
							<?php } ?> 
						</span>
						</a></li>
					<?php } ?> 

					<?php if ($options['picasa'] == 1) { // Picasa Icon anzeigen ?>
						<li><a href="<?php echo $options['picasa_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/picasa.png">
						<span>
							<?php if ($options['picasa_tooltip']) { // eigener Tooltip-Text ?>
								<?php echo $options['picasa_tooltip'] ?>
							<?php } else { // sonst Standard-Tooltip-Text ?>
								Mein Picasa-Profil
							<?php } ?> 
						</span>
						</a></li>
					<?php } ?> 

					<?php if ($options['flickr'] == 1) { // flickr Icon anzeigen ?>
						<li><a href="<?php echo $options['flickr_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/flickr.png">
						<span>
							<?php if ($options['flickr_tooltip']) { // eigener Tooltip-Text ?>
								<?php echo $options['flickr_tooltip'] ?>
							<?php } else { // sonst Standard-Tooltip-Text ?>
								Mein flickr-Profil
							<?php } ?> 
						</span>
						</a></li>
					<?php } ?> 

					<?php if ($options['lastfm'] == 1) { // Last.fm Icon anzeigen ?>
						<li><a href="<?php echo $options['lastfm_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/lastfm.png">
						<span>
							<?php if ($options['lastfm_tooltip']) { // eigener Tooltip-Text ?>
								<?php echo $options['lastfm_tooltip'] ?>
							<?php } else { // sonst Standard-Tooltip-Text ?>
								Mein Last.fm-Profil
							<?php } ?> 
						</span>
						</a></li>
					<?php } ?> 

					<?php if ($options['youtube'] == 1) { // Youtube Icon anzeigen ?>
						<li><a href="<?php echo $options['youtube_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/youtube.png">
						<span>
							<?php if ($options['youtube_tooltip']) { // eigener Tooltip-Text ?>
								<?php echo $options['youtube_tooltip'] ?>
							<?php } else { // sonst Standard-Tooltip-Text ?>
								Mein Youtube-Profil
							<?php } ?> 
						</span>
						</a></li>
					<?php } ?> 

					<?php if ($options['rss'] == 1) { // RSS-Feed Icon anzeigen ?>
						<li><a href="<?php bloginfo('rss2_url'); ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/rss.png">
						<span>
							<?php if ($options['rss_tooltip']) { // eigener Tooltip-Text ?>
								<?php echo $options['rss_tooltip'] ?>
							<?php } else { // sonst Standard-Tooltip-Text ?>
								Hol dir den RSS-Feed
							<?php } ?> 
						</span>
						</a></li>
					<?php } ?> 

					</ul>

				</div><!--.social-->

					<h5 class="bloginfo">
						<?php if ($options['bloginfo'] == 1) { // Bloginfo anzeigen ?>
							<a href="<?php echo home_url(); ?>"><?php bloginfo('name'); ?></a>
						<?php } elseif ($options['bloginfo'] == 2) { // Blogbeschreibung anzeigen ?>
							<a href="<?php echo home_url(); ?>"><?php bloginfo('description'); ?></a>
						<?php } elseif ($options['bloginfo'] == 3) { // Bloginfo und Blogbeschreibung anzeigen ?>
							<a href="<?php echo home_url(); ?>"><?php bloginfo('name'); ?> | <?php bloginfo('description'); ?></a>
						<?php } ?> 
					</h5><!--bloginfo-->

			</div><!--#header-->

		<div id="inhalt">