<?php
/*
Template Name: Artikelübersicht
*/
?>

<?php $options = get_option( 'og_theme_options' ); // Theme-Optionen ?> 

<?php get_header(); ?>

				<?php if ($options['top_artikel'] == 1 && $options['sidebar'] == 0 ) { // Option für Featured-Artikel ?>

					<div id="links" class="feat">

				<?php } elseif ($options['top_artikel'] == 1 && $options['sidebar'] == 1 ) { // Option für Featured-Artikel und Sidebar ?> 

					<div id="links" class="feat sb">

				<?php } elseif ($options['top_artikel'] == 0 && $options['sidebar'] == 1 ) { // Option für Sidebar ?> 

					<div id="links" class="sb">

				<?php } else { ?>

					<div id="links">

				<?php } ?> 

				<?php if (have_posts()) : // Beginn Loop ?>
				<?php while (have_posts()) : the_post(); ?>
				
					<div class="post" id="post-<?php the_ID(); ?>">
	
						<h1><?php the_title(); ?></h1>

						<div class="body">

							<?php the_content(); ?>

							<?php if ($options['kategoriearchiv'] == 1) { // Kategorien-Liste anzeigen ?>

								<div class="spalten">
								<h3>Kategorien</h3>
									<ul>
										<?php wp_list_categories('show_count=1&title_li='); ?>
									</ul>
								</div><!--spalten-->
							<?php } ?> 

							<?php if ($options['tagarchiv'] == 1) { // Schlagwort-Liste anzeigen ?>

								<div class="spalten">
								<h3>Schlagworte</h3>
									<ul>
										<?php
										$tags = get_tags( array('orderby' => 'count', 'order' => 'DESC') );
										foreach ( (array) $tags as $tag ) {
										echo '<li><a href="' . get_tag_link ($tag->term_id) . '" rel="tag">' . $tag->name . ' </a> (' . $tag->count . ')</li>';
										}
										?>
									</ul>
								</div><!--spalten-->

							<?php } ?> 

							<?php if ($options['jahresarchiv'] == 1) { // Jahresarchiv anzeigen ?>

								<div class="spalten">
								<h3>Jahresarchiv</h3>

									<ul class="monatsarchiv">
									<?php wp_get_archives('type=yearly&show_post_count=1'); ?>
									</ul>
								</div><!--spalten-->

							<?php } ?> 

							<?php if ($options['monatsarchiv'] == 1) { // Monatsarchiv anzeigen ?>

								<div class="spalten">
								<h3>Monatsarchiv</h3>

									<ul class="monatsarchiv">
									<?php wp_get_archives('show_post_count=1'); ?>
									</ul>
								</div><!--spalten-->

							<?php } ?> 

							<?php if ($options['tagesarchiv'] == 1) { // Tagesarchiv anzeigen ?>

								<div class="spalten">
								<h3>Tagesarchiv</h3>

									<ul class="monatsarchiv">
									<?php wp_get_archives('type=daily&show_post_count=1'); ?>
									</ul>
								</div><!--spalten-->

							<?php } ?> 

							<?php if ($options['artikelliste'] == 1) { // Artikelliste anzeigen ?>

								<div class="spalten">
								<h3>Alle <?php $nr_art = wp_count_posts('post'); $nr_art = $nr_art->publish; echo number_format($nr_art); ?> Artikel alphabetisch sortiert</h3>

									<ul class="alpha">
									<?php wp_get_archives('type=alpha'); ?>
									</ul>
								</div><!--spalten-->

							<?php } ?> 

						</div><!--body-->

					</div><!--post-->
				
				<?php endwhile; ?>
				<?php endif; // Ende Loop ?>
				
<?php get_footer(); ?>