<?php

// Theme-Optionen-Seite im Backend hinzufügen

add_action( 'admin_init', 'theme_options_init' );
add_action( 'admin_menu', 'theme_options_add_page' );



// Farbtastic Color-Picker 

add_action( 'init', 'farbtastic_script' );


function farbtastic_script() {
	wp_enqueue_style( 'farbtastic' );
	wp_enqueue_script( 'farbtastic' );
}



// Globale Einstellungen 

function theme_options_init(){
	register_setting( 'og_options', 'og_theme_options', 'theme_options_validate' );
}


// Theme-Optionen im Backend laden

function theme_options_add_page() {
	add_theme_page( 'ZEHN - Theme Optionen', 'Theme Optionen', 'edit_theme_options', 'theme_options', 'theme_options_do_page' );
}


// Arrays für die Kombinationsfelder


// Top-Artikel 

$select_options_top_artikel = array(
	'0' => array(
		'value' =>	'0',
		'label' => 'meistkommentierte Artikel (Standard)'
	),
	'1' => array(
		'value' =>	'1',
		'label' => 'zufällig ausgewählte Artikel'
	),
	'2' => array(
		'value' =>	'2',
		'label' => 'hervorgehobene Artikel (Sticky-Posts)'
	)
);

// Anzeige Titel 

$select_options_bloginfo = array(
	'0' => array(
		'value' =>	'0',
		'label' => 'keine Anzeige (Standard)'
	),
	'1' => array(
		'value' =>	'1',
		'label' => 'nur Blogtitel'
	),
	'2' => array(
		'value' =>	'2',
		'label' => 'nur Untertitel'
	),
	'3' => array(
		'value' =>	'3',
		'label' => 'Bloginfo und Untertitel'
	)
);

// die Artikelanzeige

$select_options_artikel = array(
	'0' => array(
		'value' =>	'0',
		'label' => 'bis zum Weiterlesen-Link (Standard)'
	),
	'1' => array(
		'value' =>	'1',
		'label' => 'Kurzfassung'
	),
	'2' => array(
		'value' =>	'2',
		'label' => 'vollständig'
	)

);

// das Farbeschema

$select_options_farbschema = array(
	'0' => array(
		'value' =>	'0',
		'label' => 'orange (Standard)'
	),
	'1' => array(
		'value' =>	'1',
		'label' => 'rot'
	),
	'2' => array(
		'value' =>	'2',
		'label' => 'dunkelgrau'
	),
	'3' => array(
		'value' =>	'3',
		'label' => 'blau'
	),
	'4' => array(
		'value' =>	'4',
		'label' => 'oliv'
	)
);

// Schriftart Überschriften

$select_options_font_h = array(
	'0' => array(
		'value' =>	'0',
		'label' => 'Open Sans Condensed (Standard)'
	),
	'1' => array(
		'value' =>	'1',
		'label' => 'Open Sans'
	),
	'2' => array(
		'value' =>	'2',
		'label' => 'Oswald'
	),
	'3' => array(
		'value' =>	'3',
		'label' => 'Archivo Narrow'
	),
	'4' => array(
		'value' =>	'4',
		'label' => 'Bree Serif'
	)
);

// Standard-Schriftart

$select_options_font_standard = array(
	'0' => array(
		'value' =>	'0',
		'label' => 'Open Sans (Standard)'
	),
	'1' => array(
		'value' =>	'1',
		'label' => 'Droid Sans'
	),
	'2' => array(
		'value' =>	'2',
		'label' => 'PT Sans'
	),
	'3' => array(
		'value' =>	'3',
		'label' => 'Source Sans Pro'
	),
	'4' => array(
		'value' =>	'4',
		'label' => 'Ubuntu'
	)
);



// Theme-Optionen-Seite ausgeben

function theme_options_do_page() {
	global $select_options_artikel, $select_options_top_artikel, $select_options_bloginfo, $select_options_farbschema, $select_options_font_h, $select_options_font_standard;

	if ( ! isset( $_REQUEST['settings-updated'] ) )
		$_REQUEST['settings-updated'] = false;

	?>
	<div class="wrap">

		<?php screen_icon(); echo "<h2>" . wp_get_theme() . ' Theme Optionen' . "</h2>"; ?>
		<img style="position: absolute; width: 150px; height: 40px; bottom: 40px; right: 10px; padding: 10px; z-index: 1;" src="<?php echo get_template_directory_uri(); ?>/images/logo.png" alt="Logo">

		<?php if ( false !== $_REQUEST['settings-updated'] ) : ?>
		<div class="updated fade"><p><strong>Optionen gespeichert</strong></p></div>
		<?php endif; ?>

		<form method="post" action="options.php">

			<p class="submit">
				<input type="submit" class="button-primary" value="Änderungen übernehmen" />
			</p>

			<?php settings_fields( 'og_options' ); ?>
			<?php $options = get_option( 'og_theme_options' ); ?>

			<h3>Theme-Optionen</h3>

			<table class="form-table">

				<tr valign="top"><th scope="row">Breite des Inhaltsbereichs</th>
					<td>
						<input id="og_theme_options[inhalt_breite]" style="width: 50px;" class="regular-text" type="text" name="og_theme_options[inhalt_breite]" value="<?php echo esc_attr( $options['inhalt_breite'] ); ?>" />
						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[inhalt_breite]">Mittels dieser Option kannst du die Breite des Inhaltsbereichs verändern. Möglich ist ein Pixel- (XXXpx) oder Prozentwert (XXX%). Achte darauf, dass du das Wertzeichen angibst. Standard sind 1200 Pixel.</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Anzeige Logo</th>
					<td>
						<input id="og_theme_options[logo]" name="og_theme_options[logo]" type="checkbox" value="1" <?php checked( '1', $options['logo'] ); ?> />
						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[logo]">Wenn die Option gewählt ist, wird ein Logo im Kopfbereich angezeigt. Du kannst dein eigenes Logo im Design-Menü unter dem Punkt "Kopfzeile" einstellen.</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Anzeige Bloginfo</th>
					<td>
						<select name="og_theme_options[bloginfo]">
							<?php
								$selected = $options['bloginfo'];
								$p = '';
								$r = '';

								foreach ( $select_options_bloginfo as $option ) {
									$label = $option['label'];
									if ( $selected == $option['value'] ) // Make default first in list
										$p = "\n\t<option style=\"padding-right: 10px;\" selected='selected' value='" . esc_attr( $option['value'] ) . "'>$label</option>";
									else
										$r .= "\n\t<option style=\"padding-right: 10px;\" value='" . esc_attr( $option['value'] ) . "'>$label</option>";
								}
								echo $p . $r;
							?>
						</select>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Anzeige Anzahl der Artikel und Kommentare</th>
					<td>
						<input id="og_theme_options[anzahl]" name="og_theme_options[anzahl]" type="checkbox" value="1" <?php checked( '1', $options['anzahl'] ); ?> />
						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[anzahl]">Wenn die Option gewählt wurde, wird im Fußbereich die Gesamtanzahl der Artikel sowie der Kommentare des Blogs ausgegeben.</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Beschriftung für oben gehaltene Artikel</th>
					<td>
						<input id="og_theme_options[sticky_text]" class="regular-text" type="text" name="og_theme_options[sticky_text]" value="<?php echo esc_attr( $options['sticky_text'] ); ?>" />
						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[sticky_text]">Mit dieser Option hast du die Möglichkeit eine eigene Beschriftung für oben gehaltene Artikel festzulegen. Standard: "Hervorgehobener Artikel"</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Copyright-Text</th>
					<td>
						<input id="og_theme_options[copyright]" class="regular-text" type="text" name="og_theme_options[copyright]" value="<?php echo esc_attr( $options['copyright'] ); ?>" />
						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[copyright]">Du hast hier die Möglichkeit einen eigenen Copyright-Verweis einzutragen.</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Google Analytics Code</th>
					<td>
						<textarea id="og_theme_options[google_analytics]" class="large-text" cols="1" rows="10" type="text" name="og_theme_options[google_analytics]"><?php echo esc_textarea( $options['google_analytics'] ); ?></textarea>
						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[google_analytics]">Du hast hier die Möglichkeit den Google Tracking-Code für Google Analytics einzutragen.</label>
					</td>
				</tr>

				<td><h3>Featured Artikel</h3></td>

				<tr valign="top"><th scope="row">Anzeige Featured-Artikel</th>
					<td>
						<input id="og_theme_options[top_artikel]" name="og_theme_options[top_artikel]" type="checkbox" value="1" <?php checked( '1', $options['top_artikel'] ); ?> />
						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[top_artikel]">Wenn die Option gewählt wurde, werden "spezielle Artikel" oberhalb des Inhaltsbereichs ausgegeben. Du hast die Wahl zwischen den meistkommentierten Artikeln (Standard) sowie zufällig ausgewählten oder hervorgehobenen Artikeln (s. nachfolgende Option).</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Als Featured-Artikel sollen angezeigt werden</th>
					<td>
						<select name="og_theme_options[top_artikel_art]">
							<?php
								$selected = $options['top_artikel_art'];
								$p = '';
								$r = '';

								foreach ( $select_options_top_artikel as $option ) {
									$label = $option['label'];
									if ( $selected == $option['value'] ) // Make default first in list
										$p = "\n\t<option style=\"padding-right: 10px;\" selected='selected' value='" . esc_attr( $option['value'] ) . "'>$label</option>";
									else
										$r .= "\n\t<option style=\"padding-right: 10px;\" value='" . esc_attr( $option['value'] ) . "'>$label</option>";
								}
								echo $p . $r;
							?>
						</select>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Anzahl Featured-Artikel</th>
					<td>
						<input id="og_theme_options[top_artikel_anzahl]" style="width: 50px;" class="regular-text" type="text" name="og_theme_options[top_artikel_anzahl]" value="<?php echo esc_attr( $options['top_artikel_anzahl'] ); ?>" />
						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[top_artikel_anzahl]">Mittels dieser Option kannst du steuern, wieviele Featured-Artikel angezeigt werden sollen. Standardmäßig werden 6 Artikel ausgegeben.</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Überschrift für Featured-Artikel</th>
					<td>
						<input id="og_theme_options[top_artikel_title]" class="regular-text" type="text" name="og_theme_options[top_artikel_title]" value="<?php echo esc_attr( $options['top_artikel_title'] ); ?>" />
						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[top_artikel_title]">Du kannst hier eine eigene Überschrift für die Featured-Artikel definieren. Die Standard-Überschrift ist "Meistkommentierte Artikel", "Zufällig ausgewählte Artikel" oder "Ausgewählte Artikel".</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Anzeige Vorschau für Featured-Artikel</th>
					<td>
						<input id="og_theme_options[top_artikel_excerpt]" name="og_theme_options[top_artikel_excerpt]" type="checkbox" value="1" <?php checked( '1', $options['top_artikel_excerpt'] ); ?> />
						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[top_artikel_excerpt]">Wenn die Option gewählt wurde, wird eine Vorschau (excerpt) auf den Inhalt des Featured-Artikels als Tooltip angezeigt.</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Anzeige hervorgehobene Artikel auf Startseite</th>
					<td>
						<input id="og_theme_options[top_artikel_sticky_anzeigen]" name="og_theme_options[top_artikel_sticky_anzeigen]" type="checkbox" value="1" <?php checked( '1', $options['top_artikel_sticky_anzeigen'] ); ?> />
						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[top_artikel_sticky_anzeigen]">Wenn "hervorgehobene Artikel" als Featured-Artikel ausgewählt wurden, können die Sticky-Posts zusätzlich auf der Startseite ausgegeben werden. Standardmäßig werden diese nicht angezeigt.</label>
					</td>
				</tr>

				<td><h3>Kurzfassung von Artikeln</h3></td>

				<tr valign="top"><th scope="row">Anzahl Wörter für Kurzfassung</th>
					<td>
						<input id="og_theme_options[excerpt_zeichen]" style="width: 50px;" class="regular-text" type="text" name="og_theme_options[excerpt_zeichen]" value="<?php echo esc_attr( $options['excerpt_zeichen'] ); ?>" />
						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[excerpt_zeichen]">Du kannst mit dieser Option die Anzahl der Wörter für die Kurzfassung (excerpt) von Artikeln verändern. Standardmäßig werden die ersten 55 Wörter des Artikels ausgegeben.</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">More-Link bei Kurzfassung</th>
					<td>
						<input id="og_theme_options[excerpt_moretag]" name="og_theme_options[excerpt_moretag]" type="checkbox" value="1" <?php checked( '1', $options['excerpt_moretag'] ); ?> />
						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[excerpt_moretag]">Wenn die Option gewählt wurde, wird bei Artikeln in der Kurzfassung ein Weiterlesen-Link eingeblendet. Standardmäßig wird lediglich [...] ausgegeben.</label>
					</td>
				</tr>

			</table>

			<h3>Artikel-Optionen</h3>
			<table class="form-table">

				<tr valign="top"><th scope="row">Anzeige der Artikel</th>
					<td>
						<select name="og_theme_options[artikelanzeige]">
							<?php
								$selected = $options['artikelanzeige'];
								$p = '';
								$r = '';

								foreach ( $select_options_artikel as $option ) {
									$label = $option['label'];
									if ( $selected == $option['value'] ) // Make default first in list
										$p = "\n\t<option style=\"padding-right: 10px;\" selected='selected' value='" . esc_attr( $option['value'] ) . "'>$label</option>";
									else
										$r .= "\n\t<option style=\"padding-right: 10px;\" value='" . esc_attr( $option['value'] ) . "'>$label</option>";
								}
								echo $p . $r;
							?>
						</select>
						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[artikelanzeige]">Du kannst mit dieser Option festlegen, wie die Artikel auf den Blogseiten ausgegeben werden sollen. Die Artikel können bis zum Weiterlesen-Link (Standard), vollständig oder in einer Kurzfassung (nur Text) angezeigt werden.</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Post-Thumbnails verwenden</th>
					<td>
						<input id="og_theme_options[post_thumb]" name="og_theme_options[post_thumb]" type="checkbox" value="1" <?php checked( '1', $options['post_thumb'] ); ?> />
						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[post_thumb]">Wenn die Option gewählt wurde, wird die Post-Thumbnail-Funktion aktiviert. Du kannst dann jedem Artikel ein Artikelbild zuordnen.</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Anzeige Artikelinformationen</th>
					<td>
						<input id="og_theme_options[artikelinfo]" name="og_theme_options[artikelinfo]" type="checkbox" value="1" <?php checked( '1', $options['artikelinfo'] ); ?> />
						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[artikelinfo]">Wenn die Option gewählt wurde, werden artikelspezifische Informationen, wie Datum, Kategorie(n), Tags, etc. angezeigt.</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Anzeige Autor</th>
					<td>
						<input id="og_theme_options[autor]" name="og_theme_options[autor]" type="checkbox" value="1" <?php checked( '1', $options['autor'] ); ?> />
						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[autor]">Wenn die Option gewählt wurde, wird der Name des Artikelautors in den Artikelinformationen angezeigt, vorausgesetzt, die Artikelinformationen werden auch ausgegeben (s. vorige Option).</label>
					</td>
				</tr>

				<td><h3>Artikelempfehlung</h3></td>

				<tr valign="top"><th scope="row">Anzeige Artikelempfehlung</th>
					<td>
						<input id="og_theme_options[artikelempfehlung]" name="og_theme_options[artikelempfehlung]" type="checkbox" value="1" <?php checked( '1', $options['artikelempfehlung'] ); ?> />
						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[artikelempfehlung]">Wenn die Option gewählt wurde, werden bis zu vier thematisch ähnliche Artikel vorgeschlagen. Der Vorschlag basiert auf Basis des ersten verwendeten Schlagworts des Hauptartikels.</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Anzahl Artikel für Artikelempfehlung</th>
					<td>
						<input id="og_theme_options[artikelempfehlung_anzahl]" style="width: 50px;" class="regular-text" type="text" name="og_theme_options[artikelempfehlung_anzahl]" value="<?php echo esc_attr( $options['artikelempfehlung_anzahl'] ); ?>" />
						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[artikelempfehlung_anzahl]">Mittels dieser Option kannst du steuern, wieviele Artikel als Empfehlung angezeigt werden sollen. Standardmäßig werden 4 Artikel ausgegeben.</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Überschrift für Artikelempfehlung</th>
					<td>
						<input id="og_theme_options[artikelempfehlung_title]" class="regular-text" type="text" name="og_theme_options[artikelempfehlung_title]" value="<?php echo esc_attr( $options['artikelempfehlung_title'] ); ?>" />
						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[artikelempfehlung_title]">Du hast mit dieser Option die Möglichkeit eine eigene Überschrift für die Artikelempfehlung zu definieren. Als Standard wird "Thematisch ähnliche Artikel" ausgegeben.</label>
					</td>
				</tr>

				<td><h3>Artikelnavigation</h3></td>

				<tr valign="top"><th scope="row">Anzeige Artikelnavigation oben</th>
					<td>
						<input id="og_theme_options[navi_top]" name="og_theme_options[navi_top]" type="checkbox" value="1" <?php checked( '1', $options['navi_top'] ); ?> />
						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[navi_top]">Wenn die Option gewählt wurde, wird oberhalb des Artikels eine Artikelnavigation angezeigt.</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Anzeige Artikelnavigation unten</th>
					<td>
						<input id="og_theme_options[navi_unten]" name="og_theme_options[navi_unten]" type="checkbox" value="1" <?php checked( '1', $options['navi_unten'] ); ?> />
						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[navi_unten]">Wenn die Option gewählt wurde, wird unterhalb des Artikels eine Artikelnavigation angezeigt.</label>
					</td>
				</tr>

			</table>

			<h3>Artikelübersicht</h3>

			<table class="form-table">

				<tr valign="top"><th scope="row">Anzeige Kategorieübersicht</th>

					<td>
						<input id="og_theme_options[kategoriearchiv]" name="og_theme_options[kategoriearchiv]" type="checkbox" value="1" <?php checked( '1', $options['kategoriearchiv'] ); ?> />
						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[kategoriearchiv]">Wenn die Option gewählt wurde, wird in der Artikelübersicht eine Liste aller verwendeten Kategorien angezeigt.</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Anzeige Schlagwortübersicht</th>

					<td>
						<input id="og_theme_options[tagarchiv]" name="og_theme_options[tagarchiv]" type="checkbox" value="1" <?php checked( '1', $options['tagarchiv'] ); ?> />
						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[tagarchiv]">Wenn die Option gewählt wurde, wird in der Artikelübersicht eine Liste aller verwendeten Schlagworte (Tags) angezeigt.</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Anzeige Jahresarchiv</th>

					<td>
						<input id="og_theme_options[jahresarchiv]" name="og_theme_options[jahresarchiv]" type="checkbox" value="1" <?php checked( '1', $options['jahresarchiv'] ); ?> />
						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[jahresarchiv]">Wenn die Option gewählt wurde, wird in der Artikelübersicht eine Jahresübersicht angezeigt.</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Anzeige Monatsarchiv</th>

					<td>
						<input id="og_theme_options[monatsarchiv]" name="og_theme_options[monatsarchiv]" type="checkbox" value="1" <?php checked( '1', $options['monatsarchiv'] ); ?> />
						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[monatsarchiv]">Wenn die Option gewählt wurde, wird in der Artikelübersicht eine Monatsübersicht angezeigt.</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Anzeige Tagesarchiv</th>

					<td>
						<input id="og_theme_options[tagesarchiv]" name="og_theme_options[tagesarchiv]" type="checkbox" value="1" <?php checked( '1', $options['tagesarchiv'] ); ?> />
						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[tagesarchiv]">Wenn die Option gewählt wurde, wird in der Artikelübersicht eine Tagesübersicht angezeigt.</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Anzeige Artikelliste</th>

					<td>
						<input id="og_theme_options[artikelliste]" name="og_theme_options[artikelliste]" type="checkbox" value="1" <?php checked( '1', $options['artikelliste'] ); ?> />
						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[artikelliste]">Wenn die Option gewählt wurde, wird in der Artikelübersicht eine alphabetisch sortierte Liste aller Artikel ausgegeben.</label>
					</td>
				</tr>

			</table>

			<h3>Sidebar</h3>
			<table class="form-table">

				<tr valign="top"><th scope="row">Anzeige Sidebar</th>
					<td>
						<input id="og_theme_options[sidebar]" name="og_theme_options[sidebar]" type="checkbox" value="1" <?php checked( '1', $options['sidebar'] ); ?> />
						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[sidebar]">Wenn die Option aktiviert ist, wird rechts die Sidebar eingeblendet. Die Widgets lassen sich über den Menüpunkt "Widgets" im "Design"-Menü anpassen.</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Anzeige Footer-Widget-Bereich</th>
					<td>
						<input id="og_theme_options[footer_widgets]" name="og_theme_options[footer_widgets]" type="checkbox" value="1" <?php checked( '1', $options['footer_widgets'] ); ?> />
						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[footer_widgets]">Wenn die Option aktiviert ist, wird im unteren Bereich der Webseite ein Footer-Widget-Bereich eingeblendet. Die Widgets lassen sich über den Menüpunkt "Widgets" im "Design"-Menü anpassen.</label>
					</td>
				</tr>

			</table>

			<h3>Theme-Design</h3>
			<table class="form-table">

				<tr valign="top"><th scope="row">Farbschema</th>
					<td>
						<select name="og_theme_options[farbschema]">
							<?php
								$selected = $options['farbschema'];
								$p = '';
								$r = '';

								foreach ( $select_options_farbschema as $option ) {
									$label = $option['label'];
									if ( $selected == $option['value'] ) // Make default first in list
										$p = "\n\t<option style=\"padding-right: 10px;\" selected='selected' value='" . esc_attr( $option['value'] ) . "'>$label</option>";
									else
										$r .= "\n\t<option style=\"padding-right: 10px;\" value='" . esc_attr( $option['value'] ) . "'>$label</option>";
								}
								echo $p . $r;
							?>
						</select>
						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[farbschema]">Mit dieser Option wird das Farbschema des Themes festgelegt.</label>
					</td>
				</tr>

				<td><h3>Eigene Farben</h3></td>

				<tr valign="top"><th scope="row">Standard-Farbe</th>
					<td>
						<input id="standard_color" style="width: 50px;" class="color" type="text" name="og_theme_options[standard_color]" value="<?php if ($options['standard_color']) { echo $options['standard_color']; } else { echo '#'; } ?>" />

						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[standard_color]">Mittels dieser Option kannst du die Standard-Farbe bestimmter Elemente steuern. Klick in das Eingabefeld, um den Color-Picker aufzurufen.</label>
						<div id="colorpicker_standard"></div>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Alternativ-Farbe</th>
					<td>
						<input id="alternativ_color" style="width: 50px;" class="color" type="text" name="og_theme_options[alternativ_color]" value="<?php if ($options['alternativ_color']) { echo $options['alternativ_color']; } else { echo '#'; } ?>" />

						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[alternativ_color]">Mittels dieser Option kannst du die Alternativ-Farbe bestimmter Elemente steuern. Klick in das Eingabefeld, um den Color-Picker aufzurufen.</label>
						<div id="colorpicker_alternativ"></div>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Hyperlink-Farbe</th>
					<td>
						<input id="link_color" style="width: 50px;" class="color" type="text" name="og_theme_options[link_color]" value="<?php if ($options['link_color']) { echo $options['link_color']; } else { echo '#'; } ?>" />

						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[link_color]">Mittels dieser Option kannst du die Hyperlink-Farbe steuern. Klick in das Eingabefeld, um den Color-Picker aufzurufen.</label>
						<div id="colorpicker_link"></div>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Hover-Farbe</th>
					<td>
						<input id="hover_color" style="width: 50px;" class="color" type="text" name="og_theme_options[hover_color]" value="<?php if ($options['hover_color']) { echo $options['hover_color']; } else { echo '#'; } ?>" />

						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[hover_color]">Mittels dieser Option kannst du die Hover-Farbe von Hyperlinks steuern. Klick in das Eingabefeld, um den Color-Picker aufzurufen.</label>
						<div id="colorpicker_hover"></div>
					</td>
				</tr>

				<td><h3>Google Web Fonts</h3></td>

				<tr valign="top"><th scope="row">Schriftart für Überschriften</th>
					<td>
						<select name="og_theme_options[font_h]">
							<?php
								$selected = $options['font_h'];
								$p = '';
								$r = '';

								foreach ( $select_options_font_h as $option ) {
									$label = $option['label'];
									if ( $selected == $option['value'] ) // Make default first in list
										$p = "\n\t<option style=\"padding-right: 10px;\" selected='selected' value='" . esc_attr( $option['value'] ) . "'>$label</option>";
									else
										$r .= "\n\t<option style=\"padding-right: 10px;\" value='" . esc_attr( $option['value'] ) . "'>$label</option>";
								}
								echo $p . $r;
							?>
						</select>
						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[font_h]">Mit dieser Option wird die Schriftart für Überschriften festgelegt.</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Standard-Schriftart</th>
					<td>
						<select name="og_theme_options[font_standard]">
							<?php
								$selected = $options['font_standard'];
								$p = '';
								$r = '';

								foreach ( $select_options_font_standard as $option ) {
									$label = $option['label'];
									if ( $selected == $option['value'] ) // Make default first in list
										$p = "\n\t<option style=\"padding-right: 10px;\" selected='selected' value='" . esc_attr( $option['value'] ) . "'>$label</option>";
									else
										$r .= "\n\t<option style=\"padding-right: 10px;\" value='" . esc_attr( $option['value'] ) . "'>$label</option>";
								}
								echo $p . $r;
							?>
						</select>
						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[font_standard]">Mit dieser Option wird die Standard-Schriftart des Themes festgelegt.</label>
					</td>
				</tr>

			</table>

			<h3>Soziale Netzwerke</h3>
			<table class="form-table">

				<tr valign="top"><th scope="row">Facebook</th>

					<td style="width: 10%;">
						<img src="<?php echo get_template_directory_uri(); ?>/images/facebook.png" alt="Facebook">
						<input id="og_theme_options[facebook]" name="og_theme_options[facebook]" type="checkbox" value="1" <?php checked( '1', $options['facebook'] ); ?> />
					</td>

					<td style="width: 40%;">
						<input id="og_theme_options[facebook_url]" class="regular-text" type="text" name="og_theme_options[facebook_url]" value="<?php echo esc_attr( $options['facebook_url'] ); ?>" />
						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[facebook_url]">URL zu deinem Facebook-Profil</label>
					</td>

					<td style="width: 40%;">
						<input id="og_theme_options[facebook_tooltip]" class="regular-text" type="text" name="og_theme_options[facebook_tooltip]" value="<?php echo esc_attr( $options['facebook_tooltip'] ); ?>" />
						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[facebook_tooltip]">Hier kannst du einen eigenen Tooltip-Text definieren.</label>

					</td>
				</tr>

				<tr valign="top"><th scope="row">Twitter</th>

					<td>
						<img src="<?php echo get_template_directory_uri(); ?>/images/twitter.png" alt="Twitter">
						<input id="og_theme_options[twitter]" name="og_theme_options[twitter]" type="checkbox" value="1" <?php checked( '1', $options['twitter'] ); ?> />
					</td>

					<td>
						<input id="og_theme_options[twitter_url]" class="regular-text" type="text" name="og_theme_options[twitter_url]" value="<?php echo esc_attr( $options['twitter_url'] ); ?>" />
						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[twitter_url]">URL zu deinem Twitter-Profil</label>
					</td>

					<td>
						<input id="og_theme_options[twitter_tooltip]" class="regular-text" type="text" name="og_theme_options[twitter_tooltip]" value="<?php echo esc_attr( $options['twitter_tooltip'] ); ?>" />
						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[twitter_tooltip]">Hier kannst du einen eigenen Tooltip-Text definieren.</label>

					</td>
				</tr>

				<tr valign="top"><th scope="row">Google+</th>

					<td>
						<img src="<?php echo get_template_directory_uri(); ?>/images/google.png" alt="Google+">
						<input id="og_theme_options[google]" name="og_theme_options[google]" type="checkbox" value="1" <?php checked( '1', $options['google'] ); ?> />
					</td>

					<td>
						<input id="og_theme_options[google_url]" class="regular-text" type="text" name="og_theme_options[google_url]" value="<?php echo esc_attr( $options['google_url'] ); ?>" />
						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[google_url]">URL zu deinem Google+-Profil</label>
					</td>

					<td>
						<input id="og_theme_options[google_tooltip]" class="regular-text" type="text" name="og_theme_options[google_tooltip]" value="<?php echo esc_attr( $options['google_tooltip'] ); ?>" />
						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[google_tooltip]">Hier kannst du einen eigenen Tooltip-Text definieren.</label>

					</td>
				</tr>

				<tr valign="top"><th scope="row">Xing</th>

					<td>
						<img src="<?php echo get_template_directory_uri(); ?>/images/xing.png" alt="Xing">
						<input id="og_theme_options[xing]" name="og_theme_options[xing]" type="checkbox" value="1" <?php checked( '1', $options['xing'] ); ?> />
					</td>

					<td>
						<input id="og_theme_options[xing_url]" class="regular-text" type="text" name="og_theme_options[xing_url]" value="<?php echo esc_attr( $options['xing_url'] ); ?>" />
						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[xing_url]">URL zu deinem Xing-Profil</label>
					</td>

					<td>
						<input id="og_theme_options[xing_tooltip]" class="regular-text" type="text" name="og_theme_options[xing_tooltip]" value="<?php echo esc_attr( $options['xing_tooltip'] ); ?>" />
						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[xing_tooltip]">Hier kannst du einen eigenen Tooltip-Text definieren.</label>

					</td>
				</tr>

				<tr valign="top"><th scope="row">Tumblr</th>

					<td>
						<img src="<?php echo get_template_directory_uri(); ?>/images/tumblr.png" alt="Xing">
						<input id="og_theme_options[tumblr]" name="og_theme_options[tumblr]" type="checkbox" value="1" <?php checked( '1', $options['tumblr'] ); ?> />
					</td>

					<td>
						<input id="og_theme_options[tumblr_url]" class="regular-text" type="text" name="og_theme_options[tumblr_url]" value="<?php echo esc_attr( $options['tumblr_url'] ); ?>" />
						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[tumblr_url]">URL zu deinem Tumblr-Profil</label>
					</td>

					<td>
						<input id="og_theme_options[tumblr_tooltip]" class="regular-text" type="text" name="og_theme_options[tumblr_tooltip]" value="<?php echo esc_attr( $options['tumblr_tooltip'] ); ?>" />
						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[tumblr_tooltip]">Hier kannst du einen eigenen Tooltip-Text definieren.</label>

					</td>
				</tr>

				<tr valign="top"><th scope="row">Picasa</th>

					<td>
						<img src="<?php echo get_template_directory_uri(); ?>/images/picasa.png" alt="Picasa">
						<input id="og_theme_options[picasa]" name="og_theme_options[picasa]" type="checkbox" value="1" <?php checked( '1', $options['picasa'] ); ?> />
					</td>

					<td>
						<input id="og_theme_options[picasa_url]" class="regular-text" type="text" name="og_theme_options[picasa_url]" value="<?php echo esc_attr( $options['picasa_url'] ); ?>" />
						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[picasa_url]">URL zu deinem Picasa-Profil</label>
					</td>

					<td>
						<input id="og_theme_options[picasa_tooltip]" class="regular-text" type="text" name="og_theme_options[picasa_tooltip]" value="<?php echo esc_attr( $options['picasa_tooltip'] ); ?>" />
						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[picasa_tooltip]">Hier kannst du einen eigenen Tooltip-Text definieren.</label>

					</td>
				</tr>

				<tr valign="top"><th scope="row">flickr</th>

					<td>
						<img src="<?php echo get_template_directory_uri(); ?>/images/flickr.png" alt="flickr">
						<input id="og_theme_options[flickr]" name="og_theme_options[flickr]" type="checkbox" value="1" <?php checked( '1', $options['flickr'] ); ?> />
					</td>

					<td>
						<input id="og_theme_options[flickr_url]" class="regular-text" type="text" name="og_theme_options[flickr_url]" value="<?php echo esc_attr( $options['flickr_url'] ); ?>" />
						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[flickr_url]">URL zu deinem flickr-Profil</label>
					</td>

					<td>
						<input id="og_theme_options[flickr_tooltip]" class="regular-text" type="text" name="og_theme_options[flickr_tooltip]" value="<?php echo esc_attr( $options['flickr_tooltip'] ); ?>" />
						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[flickr_tooltip]">Hier kannst du einen eigenen Tooltip-Text definieren.</label>

					</td>
				</tr>

				<tr valign="top"><th scope="row">Last.fm</th>

					<td>
						<img src="<?php echo get_template_directory_uri(); ?>/images/lastfm.png" alt="Last.fm">
						<input id="og_theme_options[lastfm]" name="og_theme_options[lastfm]" type="checkbox" value="1" <?php checked( '1', $options['lastfm'] ); ?> />
					</td>

					<td>
						<input id="og_theme_options[lastfm_url]" class="regular-text" type="text" name="og_theme_options[lastfm_url]" value="<?php echo esc_attr( $options['lastfm_url'] ); ?>" />
						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[lastfm_url]">URL zu deinem Last.fm-Profil</label>
					</td>

					<td>
						<input id="og_theme_options[lastfm_tooltip]" class="regular-text" type="text" name="og_theme_options[lastfm_tooltip]" value="<?php echo esc_attr( $options['lastfm_tooltip'] ); ?>" />
						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[lastfm_tooltip]">Hier kannst du einen eigenen Tooltip-Text definieren.</label>

					</td>
				</tr>

				<tr valign="top"><th scope="row">Youtube</th>

					<td>
						<img src="<?php echo get_template_directory_uri(); ?>/images/youtube.png" alt="Youtube">
						<input id="og_theme_options[youtube]" name="og_theme_options[youtube]" type="checkbox" value="1" <?php checked( '1', $options['youtube'] ); ?> />
					</td>

					<td>
						<input id="og_theme_options[youtube_url]" class="regular-text" type="text" name="og_theme_options[youtube_url]" value="<?php echo esc_attr( $options['youtube_url'] ); ?>" />
						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[youtube_url]">URL zu deinem Youtube-Profil</label>
					</td>

					<td>
						<input id="og_theme_options[youtube_tooltip]" class="regular-text" type="text" name="og_theme_options[youtube_tooltip]" value="<?php echo esc_attr( $options['youtube_tooltip'] ); ?>" />
						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[youtube_tooltip]">Hier kannst du einen eigenen Tooltip-Text definieren.</label>

					</td>
				</tr>

				<tr valign="top"><th scope="row">Artikel RSS-Feed</th>

					<td>
						<img src="<?php echo get_template_directory_uri(); ?>/images/rss.png" alt="RSS-Feed">
						<input id="og_theme_options[rss]" name="og_theme_options[rss]" type="checkbox" value="1" <?php checked( '1', $options['rss'] ); ?> />
					</td>

					<td>
						<input readonly="readonly" class="regular-text" type="text" value="<?php bloginfo('rss2_url'); ?>" />
						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description">URL zum RSS-Feed</label>
					</td>

					<td>
						<input id="og_theme_options[rss_tooltip]" class="regular-text" type="text" name="og_theme_options[rss_tooltip]" value="<?php echo esc_attr( $options['rss_tooltip'] ); ?>" />						
						<label style="color: #aaa; font-style: italic; font-size: 0.9em;" class="description" for="og_theme_options[rss_tooltip]">Hier kannst du einen eigenen Tooltip-Text definieren.</label>

					</td>
				</tr>

			</table>

			<p class="submit">
				<input type="submit" class="button-primary" value="Änderungen übernehmen" />
			</p>
		</form>
	</div>

<script type="text/javascript">
 
jQuery(document).ready(function() {
	jQuery('#colorpicker_standard, #colorpicker_alternativ, #colorpicker_link, #colorpicker_hover').hide();
	jQuery('#colorpicker_standard').farbtastic("#standard_color");
	jQuery('#colorpicker_alternativ').farbtastic("#alternativ_color");
	jQuery('#colorpicker_link').farbtastic("#link_color");
	jQuery('#colorpicker_hover').farbtastic("#hover_color");
	jQuery("#standard_color").click(function(){jQuery('#colorpicker_standard').slideToggle()});
	jQuery("#alternativ_color").click(function(){jQuery('#colorpicker_alternativ').slideToggle()});
	jQuery("#link_color").click(function(){jQuery('#colorpicker_link').slideToggle()});
	jQuery("#hover_color").click(function(){jQuery('#colorpicker_hover').slideToggle()});
	jQuery("#standard_color").blur(function(){jQuery('#colorpicker_standard').slideUp()});
	jQuery("#alternativ_color").blur(function(){jQuery('#colorpicker_alternativ').slideUp()});
	jQuery("#hover_color").blur(function(){jQuery('#colorpicker_hover').slideUp()});
	jQuery("#link_color").blur(function(){jQuery('#colorpicker_link').slideUp()});
});
 
</script>

	<?php
}


// Eingaben prüfen

function theme_options_validate( $input ) {
	global $select_options_artikel, $select_options_top_artikel, $select_options_bloginfo, $select_options_farbschema, $select_options_font_h, $select_options_font_standard;

	// Our checkbox value is either 0 or 1
	if ( ! isset( $input['top_artikel'] ) )
		$input['top_artikel'] = null;
	$input['top_artikel'] = ( $input['top_artikel'] == 1 ? 1 : 0 );

	if ( ! isset( $input['artikelempfehlung'] ) )
		$input['artikelempfehlung'] = null;
	$input['artikelempfehlung'] = ( $input['artikelempfehlung'] == 1 ? 1 : 0 );

	if ( ! isset( $input['anzahl'] ) )
		$input['anzahl'] = null;
	$input['anzahl'] = ( $input['anzahl'] == 1 ? 1 : 0 );

	// Our select option must actually be in our array of select options
	if ( ! array_key_exists( $input['artikelanzeige'], $select_options_artikel ) )
		$input['artikelanzeige'] = null;

	if ( ! array_key_exists( $input['top_artikel_art'], $select_options_top_artikel ) )
		$input['top_artikel_art'] = null;

	if ( ! array_key_exists( $input['bloginfo'], $select_options_bloginfo ) )
		$input['bloginfo'] = null;

	if ( ! array_key_exists( $input['farbschema'], $select_options_farbschema ) )
		$input['farbschema'] = null;

	if ( ! array_key_exists( $input['font_h'], $select_options_font_h ) )
		$input['font_h'] = null;

	if ( ! array_key_exists( $input['font_standard'], $select_options_font_standard ) )
		$input['font_standard'] = null;

	return $input;
}


// adapted from http://planetozh.com/blog/2009/05/handling-plugins-options-in-wordpress-28-with-register_setting/